Subject: Re: [PATCH] compat bug in sys_recvmsg, MSG_CMSG_COMPAT check missing

From: Olaf Hering <[email-masked]>
Date: Sat, 5 Jun 2004 23:17:01 +0200

On Sat, Jun 05, David S. Miller wrote:

> I can't see a reason, can anyone else?  If there is no reason, the
> right fix is simply to mask it out at the top level, for both
> sendmsg and recvmsg.

I did it first this way, but the result was a long delay until the dhcp
server replied, the patch sent earlier leads to a fast reply.

    err = sock_recvmsg(sock, &msg_sys, total_len, flags & ~MSG_CMSG_COMPAT);

-- 
USB is for mice, FireWire is for men!

sUse lINUX ag, nÜRNBERG